package com.gxzc.zen.umps.constant

/**
 * 静态枚举
 * @author NorthLan
 * @date 2018/4/25
 * @url https://noahlan.com
 */
object ZenHttpSession {
    const val DEFAULT_SESSION_ID_NAME = "ZENJSID"

    /**
     * 用户Session缓存数据key
     */
    const val SESSION_KEY_USER_INFO = "INFO" // 用户基本信息
    const val SESSION_KEY_USER_ID = "ID" // id
    const val SESSION_KEY_USER_ROLES = "ROLES" // 角色列表
    const val SESSION_KEY_USER_PERMS = "PERMS" // 权限列表?
    //    const val SESSION_KEY_USER_RESOURCES = "RESOURCES" // 资源列表
    const val SESSION_KEY_USER_MENU = "MENU" // 菜单
}